=== modified file 'Makefile.am'
--- Makefile.am	2008-07-27 21:07:26 +0000
+++ Makefile.am	2008-07-28 04:00:03 +0000
@@ -16,7 +16,7 @@
 # Process this file with automake to create Makefile.in
 
 SUBDIRS = . vio \
-	  strings \
+	  mystrings \
 	  mysys \
 	  include \
 	  extra \
@@ -30,7 +30,7 @@
 
 DIST_SUBDIRS = $(SUBDIRS) \
 	       mysys/tests \
-	       strings/tests
+	       mystrings/tests
 
 DISTCLEANFILES = ac_available_languages_fragment
 

=== modified file 'configure.ac'
--- configure.ac	2008-07-27 23:11:48 +0000
+++ configure.ac	2008-07-28 04:00:03 +0000
@@ -542,7 +542,7 @@
 
 AC_MSG_CHECKING(if we should use assembler functions)
 # For now we only support assembler on i386 and sparc systems
-AM_CONDITIONAL(ASSEMBLER_x86, test "$ENABLE_ASSEMBLER" = "yes" -a "$BASE_MACHINE_TYPE" = "i386" && $AS strings/strings-x86.s -o checkassembler >/dev/null 2>&1 && test -f checkassembler && (rm -f checkassembler; exit 0;))
+AM_CONDITIONAL(ASSEMBLER_x86, test "$ENABLE_ASSEMBLER" = "yes" -a "$BASE_MACHINE_TYPE" = "i386" && $AS mystrings/strings-x86.s -o checkassembler >/dev/null 2>&1 && test -f checkassembler && (rm -f checkassembler; exit 0;))
 AM_CONDITIONAL(ASSEMBLER_sparc32, test "$ENABLE_ASSEMBLER" = "yes" -a "$BASE_MACHINE_TYPE" = "sparc")
 AM_CONDITIONAL(ASSEMBLER_sparc64, test "$ENABLE_ASSEMBLER" = "yes" -a "$BASE_MACHINE_TYPE" = "sparcv9")
 AM_CONDITIONAL(ASSEMBLER, test "$ASSEMBLER_x86_TRUE" = "" -o "$ASSEMBLER_sparc32_TRUE" = "")
@@ -1268,7 +1268,7 @@
 AC_SUBST(MAKE_BINARY_DISTRIBUTION_OPTIONS)
 
 AC_CONFIG_FILES(Makefile extra/Makefile mysys/Makefile mysys/tests/Makefile dnl
- strings/Makefile strings/tests/Makefile storage/Makefile dnl
+ mystrings/Makefile mystrings/tests/Makefile storage/Makefile dnl
  vio/Makefile dnl
  libdrizzle/Makefile client/Makefile dnl
  drizzled/Makefile dnl

=== modified file 'drizzled/Makefile.am'
--- drizzled/Makefile.am	2008-07-27 21:07:26 +0000
+++ drizzled/Makefile.am	2008-07-28 04:00:03 +0000
@@ -49,7 +49,7 @@
 
 noinst_LTLIBRARIES = libhandler.la
 
-AM_CPPFLAGS =	-I$(top_srcdir)/strings \
+AM_CPPFLAGS =	-I$(top_srcdir)/mystrings \
 		-I$(top_srcdir)/include \
 		-I$(top_srcdir)/drizzled \
 		-I$(top_srcdir)
@@ -57,7 +57,7 @@
 LDADD = $(top_builddir)/vio/libviolt.la \
 	$(top_builddir)/libdrizzle/libsqlcommon.la \
 	$(top_builddir)/mysys/libmysyslt.la \
-	$(top_builddir)/strings/libmystringslt.la \
+	$(top_builddir)/mystrings/libmystringslt.la \
 	$(ZLIB_LIBS)
 
 drizzled_LDADD = libhandler.la \

=== modified file 'drizzled/my_decimal.h'
--- drizzled/my_decimal.h	2008-07-28 03:08:27 +0000
+++ drizzled/my_decimal.h	2008-07-28 04:00:03 +0000
@@ -29,7 +29,7 @@
 #define my_decimal_h
 
 C_MODE_START
-#include <strings/decimal.h>
+#include <mystrings/decimal.h>
 C_MODE_END
 
 #define DECIMAL_LONGLONG_DIGITS 22

=== modified file 'extra/Makefile.am'
--- extra/Makefile.am	2008-07-24 21:31:56 +0000
+++ extra/Makefile.am	2008-07-28 04:00:03 +0000
@@ -14,7 +14,7 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 LDADD =		$(top_builddir)/mysys/libmysyslt.la \
-            	$(top_builddir)/strings/libmystringslt.la
+            	$(top_builddir)/mystrings/libmystringslt.la
 	
 
 bin_PROGRAMS =	my_print_defaults \

=== modified file 'include/Makefile.am'
--- include/Makefile.am	2008-07-28 03:31:13 +0000
+++ include/Makefile.am	2008-07-28 04:00:03 +0000
@@ -67,7 +67,7 @@
 			my_time.h
 
 LDADD = $(top_builddir)/mysys/libmysyslt.la \
-        $(top_builddir)/strings/libmystringslt.la $(ZLIB_LIBS)
+        $(top_builddir)/mystrings/libmystringslt.la $(ZLIB_LIBS)
 
 EXTRA_PROGRAMS = comp_err
 comperr_CFLAGS = -I${top_srcdir}/drizzled

=== modified file 'libdrizzle/Makefile.am'
--- libdrizzle/Makefile.am	2008-07-24 21:31:56 +0000
+++ libdrizzle/Makefile.am	2008-07-28 04:00:03 +0000
@@ -30,7 +30,7 @@
 libdrizzle_la_SOURCES = libdrizzle.c client.c net_serv.c get_password.c
 libdrizzle_la_LIBADD =	${sql_cmn_objects} ${sqlobjects} \
 			${top_builddir}/mysys/libmysyslt.la \
-			${top_builddir}/strings/libmystringslt.la \
+			${top_builddir}/mystrings/libmystringslt.la \
 			libsqlcommon.la \
 			${top_builddir}/vio/libviolt.la 
 libdrizzle_la_LDFLAGS = -version-info @SHARED_LIB_VERSION@ @LD_VERSION_SCRIPT@ 

=== renamed directory 'strings' => 'mystrings'
=== modified file 'mystrings/decimal.c'
--- strings/decimal.c	2008-07-28 03:08:27 +0000
+++ mystrings/decimal.c	2008-07-28 04:00:03 +0000
@@ -104,7 +104,7 @@
 #include <storage/myisam/myisampack.h>
 #include <my_sys.h> /* for my_alloca */
 #include <m_string.h>
-#include <strings/decimal.h>
+#include <mystrings/decimal.h>
 
 /*
   Internally decimal numbers are stored base 10^9 (see DIG_BASE below)

=== modified file 'mysys/tests/Makefile.am'
--- mysys/tests/Makefile.am	2008-07-17 22:37:25 +0000
+++ mysys/tests/Makefile.am	2008-07-28 04:00:03 +0000
@@ -19,7 +19,8 @@
 AM_CPPFLAGS =		-I$(top_builddir)/include \
 			-I$(top_srcdir)/include -I$(srcdir)  \
                         -I$(top_srcdir)/mysys
-LDADD =			$(top_builddir)/mysys/libmysyslt.la $(top_builddir)/strings/libmystrings.la
+LDADD =			$(top_builddir)/mysys/libmysyslt.la \
+			$(top_builddir)/mystrings/libmystrings.la
 
 DEFS =			-DMAIN \
 			-DDEFAULT_BASEDIR=\"$(prefix)\" \
@@ -46,4 +47,3 @@
 testhash_SOURCES = testhash.c
 test_gethwaddr_SOURCES = $(top_srcdir)/mysys/my_gethwaddr.c
 test_base64_SOURCES = $(top_srcdir)/mysys/base64.c
-test_base64_LDADD = $(top_builddir)/mysys/libmysyslt.la $(top_builddir)/strings/libmystrings.la

=== modified file 'storage/archive/Makefile.am'
--- storage/archive/Makefile.am	2008-07-27 21:07:26 +0000
+++ storage/archive/Makefile.am	2008-07-28 04:00:03 +0000
@@ -50,7 +50,7 @@
 archive_performance_SOURCES =	archive_performance.c azio.c
 archive_performance_CFLAGS =	$(AM_CFLAGS) 
 archive_performance_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
-			$(top_builddir)/strings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystringslt.la \
 			$(LDADD) \
 			-lz
 archive_performance_LDFLAGS =
@@ -58,7 +58,7 @@
 archive_test_SOURCES =	archive_test.c azio.c
 archive_test_CFLAGS =	$(AM_CFLAGS) 
 archive_test_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
-			$(top_builddir)/strings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystringslt.la \
 			$(LDADD) \
 			-lz
 archive_test_LDFLAGS =
@@ -66,7 +66,7 @@
 archive_reader_SOURCES = archive_reader.c azio.c
 archive_reader_CFLAGS =	$(AM_CFLAGS) 
 archive_reader_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
-			$(top_builddir)/strings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystringslt.la \
 			$(LDADD) \
 			-lz
 archive_reader_LDFLAGS =
@@ -74,7 +74,7 @@
 concurrency_test_SOURCES = concurrency_test.c azio.c
 concurrency_test_CFLAGS =	$(AM_CFLAGS) 
 concurrency_test_LDADD =	$(top_builddir)/mysys/libmysyslt.la \
-			$(top_builddir)/strings/libmystringslt.la \
+			$(top_builddir)/mystrings/libmystringslt.la \
 			$(top_builddir)/libdrizzle/libdrizzle.la \
 			$(LDADD) \
 			-lz

=== modified file 'storage/myisam/Makefile.am'
--- storage/myisam/Makefile.am	2008-07-28 02:08:00 +0000
+++ storage/myisam/Makefile.am	2008-07-28 04:00:03 +0000
@@ -25,7 +25,7 @@
 LDADD=			libmyisamutil.la \
 			libmyisamnone.la \
 			$(top_builddir)/mysys/libmysyslt.la \
-			$(top_builddir)/strings/libmystringslt.la -lz
+			$(top_builddir)/mystrings/libmystringslt.la -lz
 
 DEFS =                  @DEFS@
 

=== modified file 'tests/Makefile.am'
--- tests/Makefile.am	2008-07-24 21:31:56 +0000
+++ tests/Makefile.am	2008-07-28 04:00:03 +0000
@@ -30,7 +30,7 @@
 noinst_PROGRAMS = 	resolve_stack_dump
 
 LDADD=			$(top_builddir)/mysys/libmysyslt.la \
-                        $(top_builddir)/strings/libmystringslt.la 
+                        $(top_builddir)/mystrings/libmystringslt.la 
 
 
 

